#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define git_hash git.20250301T021103~51f07b6
%define date     20250301

%define rel 8

Name:           kio-stash
Version: 1.0
Release:        %mkrel %{rel}.git%{date}
Summary:        KIO slave and daemon to stash discontinuous file selections
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org
#Source0:        https://download.kde.org/stable/%%{name}/%%{name}-%%{version}.tar.xz
Source0:        %{name}-%{version}%{git_hash}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6DBusAddons)

%description
This KIO slave can be used to stash files in a virtual
folder temporarily. It requires use of a KIO-compatible
file manager, like dolphin.

%files
%doc README.md
%license COPYING
%{_kf6_plugindir}/kio/filestash.so
%{_kf6_plugindir}/kded/stashnotifier.so
%{_kf6_metainfodir}/org.kde.filestash.appdata.xml
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kio.StashNotifier.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}%{git_hash}

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=TRUE

%cmake_build

%install
%cmake_install


%changelog
* Fri Jul 11 2025 daviddavid <daviddavid> 1.0-8.git20250301.mga10
+ Revision: 2252843
- switch to a git snapshot (20250301) to build with KF6/Qt6
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Apr 06 2022 umeabot <umeabot> 1.0-7.mga9
+ Revision: 1846012
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.0-6.mga8
+ Revision: 1658723
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 1.0-5.mga8
+ Revision: 1588486
- switch appdata file to kf5_metainfo dir
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.0-4.mga8
+ Revision: 1524674
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 1.0-3.mga7
+ Revision: 1382515
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0-2.mga7
+ Revision: 1298559
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 daviddavid <daviddavid> 1.0-1.mga7
+ Revision: 1129198
- initial package kio-stash

